Skip to main content

Update a role

PATCH 

/nevisidm/api/core/v1/roles/:extId

Since: 2.74.0

Required permission(s): AccessControl.RoleView,AccessControl.RoleModify

Partially updates the role with the given external ID. Only provided fields will be updated. Fields not included in the request body remain unchanged.

Only the name and description of the role can be modified. The external ID and the parent application cannot be changed.

Request

Path Parameters

    extId stringrequired

    External ID of the role to update.

    Example: role-123

Body

required
    name string

    The name of the role.

    description string

    The textual description of the role.

    version int32

    The version used for optimistic locking.

Responses

Role updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the role.

    applicationExtId string

    The external ID of the application the role belongs to.

    applicationName string

    The name of the application the role belongs to.

    name string

    The name of the role.

    description string

    The textual description of the role.

Loading...